using System;
using System.ComponentModel;

internal sealed class Delegate329 : MulticastDelegate
{
	public extern PropertyDescriptorCollection Invoke(Type type_0);

	public static PropertyDescriptorCollection smethod_0(Type type_0, Delegate329 delegate329_1)
	{
		return delegate329_1(type_0);
	}

	public extern Delegate329(object object_0, IntPtr intptr_0);

	static Delegate329()
	{
		Class10.smethod_13(typeof(Delegate329).TypeHandle);
	}

	internal static Delegate329 delegate329_0;
}
